<?php
/**
* Translation file for the installer.
* Language: Russian
* Copyright (C) Kevin Papst
*
* For further information go to {@link http://www.bigace.de http://www.bigace.de}.
*
* @version $Id: ru.php,v 1.0
* @author Oleg Selin
*/

if(!defined('_BIGACE_INSTALL_PARENT_')) {
    die('Not runnable alone, go to '.dirname(__FILE__).'/index.php');
}

$LANG['title'] = 'BIGACE '._BIGACE_ID;
$LANG['intro'] = '... легкое управление Вашим контентом!';
$LANG['thanks'] = 'Спасибо за выбор системы управления контентом BIGACE!';

// -----------------------------------------------------------------------------
// Navigation
$LANG['menu_title'] = 'Установка системы';
$LANG['menu_step_2'] = 'Проверка системных требований';
$LANG['menu_step_3'] = 'Установка';
$LANG['menu_step_4'] = 'Создание сайта';
$LANG['menu_step_5'] = 'Установка успешно завершена!';
$LANG['menu_step'] = 'Шаг';
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// Welcome Screen
$LANG['install_state'] = 'Состояние';
$LANG['install_begin'] = 'Начать установку';
$LANG['introduction'] = 'Введение';
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// Form Tooltip
$LANG['form_tip_close'] = 'Закрыть';
$LANG['form_tip_hide'] = "Больше не показывать это сообщение";
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// LANGUAGES - chooser and names for languages
$LANG['language_choose'] = 'Language Definition';
$LANG['language_text'] = 'Выберите язык для использования во время установки.';
$LANG['language_button'] = 'Изменить язык';

$LANG['language_de'] = 'Deutsch (German)';
$LANG['language_en'] = 'English';
$LANG['language_se'] = 'Svenska (Swedish)';
$LANG['language_ro'] = 'Românã (Romanian)';
$LANG['language_it'] = 'Italiano (Italian)';
$LANG['language_fi'] = 'Suomeksi (Finnish)';
$LANG['language_tr'] = 'Türkçe (Turkish)';
$LANG['language_ru'] = 'Русский (Russian)';
// -----------------------------------------------------------------------------

$LANG['failure'] = 'Ошибка';
$LANG['new'] = '?Новый';
$LANG['old'] = '?Старый';
$LANG['successfull'] = 'Успешно';
$LANG['main_menu'] = 'Главное меню';
$LANG['back'] = 'Назад';
$LANG['next'] = 'Вперед';
$LANG['state_no_db'] = 'База данных не установлена!';
$LANG['state_not_all_db'] = 'База данных установлена не полностью!';
$LANG['state_installed'] = 'Базовая система успешно установлена!';
$LANG['help_title'] = 'Помощь';
$LANG['help_text'] = 'Для получения подсказок о каждом поле ввода наводите курсор на Иконки помощи, расположенные возле каждого элемента.<br>Вы можете попрактиковаться наведя курсор на эту иконку:';
$LANG['help_demo'] = 'Теперь Вы знаете как получить подсказку!';
$LANG['db_install'] = 'Установить систему';
$LANG['cid_install'] = 'Свойства сайта';
$LANG['install_finish'] = 'Установка завершена';
$LANG['db_install_state'] = 'Статус: ';
$LANG['db_install_help'] = 'На этом шаге устанавливается базовая система. Вы настраиваете соединение с базой данных и некоторые базовые параметры сайта';

//-----------------------------------------------------------
// Translation for the System installation Dialog
$LANG['db_value_title'] = 'Соединение с базой данных';
$LANG['ext_value_title'] = 'Системная конфигурация';
$LANG['db_type'] = 'Тип базы данных';
$LANG['db_host'] = 'Адрес сервер';
$LANG['db_database'] = 'Имя базы данных';
$LANG['db_user'] = 'Имя пользователя БД';
$LANG['db_password'] = 'Пароль';
$LANG['db_prefix'] = 'Префикс таблиц';
$LANG['mod_rewrite'] = 'Apache MOD-Rewrite';
$LANG['mod_rewrite_yes'] = 'Присутствует / Возможно использование (.htaccess)';
$LANG['mod_rewrite_no'] = 'Отсутствует / Не знаю';
$LANG['base_dir'] = 'Корневой каталог';
// Translation for the System Installation Help Images
$LANG['base_dir_help'] = 'Укажите путь к папке,  относительно корня сайта, в которую осуществляется установка системы. Оставьте это поле пустым если система устанавливается в корневую папку сайта (http://www.example.com/). <br><b>Как правило автоматически определенный путь бывает верным!</b><br>Путь НЕ ДОЛЖЕН начинаться со слэша, но должен им оканчиваться. К примеру, при установке в &quot;http://www.example.com/cms/&quot;, верный путь <b>cms/</b>.';
$LANG['mod_rewrite_help'] = '<b>Эта настройка позволяет использовать дружественные URL!</b><br/>Пожалуйста удостоверьтесь что Вы установили правильное значение. При неверной установке этого параметра сайт может не отображать некоторые страницы. Этот параметр можно в дальнейшем изменить в панели администрирования. Если Вы не уверены, что знаете верное значение, оставьте этот параметр без изменений!';
$LANG['db_password'] = 'Пароль к БД';
$LANG['def_language'] = 'Язык по умолчанию';
$LANG['def_language_help'] = 'Выберите язык по умолчанию для Вашего сайта.';
$LANG['db_type_help'] = 'Выберите тип используемой база данных.<br>Установщик поддерживает все перечисленные базы данных, но сама базовая система в настоящее время<b>полностью поддерживает только MySQL</b>.<br>Вы можете использовать другую базу данных, отличную от MySQL, на свой страх и риск!';
$LANG['db_host_help'] = 'Адрес сервера на котором установлена используемая база данных (как правило это бывает <b>localhost</b>!).';
$LANG['db_database_help'] = 'Имя используемой базы данных (это то же, что Вы видите в левой панели phpMyAdmin).';
$LANG['db_user_help'] = 'Имя пользователя, который имеет право записи в используемую базу данных.';
$LANG['db_prefix_help'] = 'Префикс для создаваемых таблиц. При использовании уникального префикса Вам будет проще определить какие таблицы относятся к BIGACE. Если Вы не понимаете значения этого параметра оставьте его без изменений.';
$LANG['db_password_help'] = 'Пароль вышеуказанного пользователя.';
$LANG['db_already_exists'] = 'Похоже что база данных уже установлена. Этот шага установки пропускается.';
$LANG['htaccess_security'] = 'Возможность переопределения директивы "Ovveride" в .htaccess';
$LANG['htaccess_security_yes'] = 'Возможно (.htaccess)';
$LANG['htaccess_security_no'] = 'Невозможно / Не знаю';
$LANG['htaccess_security_help']	= '<b>Эта установка отвечает за безопасность Ваших данных!</b><br/>Удостоверьтесь, что Ваш хостинг позволяет использовать <b>Override All</b> в файлах .htaccess. Если не уверены оставьте этот параметр без изменений!';
//-----------------------------------------------------------

// Translation for Consumer Installation
// First Dialog
$LANG['error_enter_domain'] = 'Пожалуйста укажите верное доменное имя, по которому будет доступен новый сайт.';
$LANG['error_enter_adminuser'] = 'Пожалуйста задайте логин Администратора (минимум 4 символа).';
$LANG['error_enter_adminpass'] = 'Пожалуйста задайте пароль Администратора (минимум 6 символов) и подтвердите его ниже.';

$LANG['cid_check_failed'] = 'ОШИБКА при проверке прав доступа к файлам! ПЕРЕД тем как продолжить Вы должны исправить их!';
$LANG['cid_domain'] = 'Домен сайта';
$LANG['cid_id_help'] = 'Выберите идентификатор (ID) для нового сайта (для внутреннего использования). Если Вы собираетесь создать уже установленную систему, то лучше указать её старый идентификатор.';
$LANG['cid_domain_help'] = 'Введите имя домена, который будет ассоциирован с новым сайтом. Как правило автоматически определенное значение бывает верным.<br><b>ПРИМЕЧАНИЕ: НЕ СТАВЬТЕ ПУТЬ ИЛИ ЗАВЕРШАЮЩИЙ СЛЭШ!</b>';

$LANG['statistics'] = 'Статистика';
$LANG['statistics_on'] = 'Включить статистику';
$LANG['statistics_off'] = 'Выключить статистику';
$LANG['statistics_help'] = 'Выберете хотите ли Вы использовать встроенную статистику. Если статистика включена, то при посещении каждой страницы будет осуществляться запись в базу данных.';
$LANG['sitename'] = 'Имя сайта';
$LANG['sitename_help'] = 'Задайте имя Вашего сайта. Это значение можно использовать в шаблонах и изменить в панели администрирования.';
$LANG['mailserver'] = 'Почтовый сервер';
$LANG['mailserver_help'] = 'Введите адрес Вашего почтового сервера (mail.yourdomain.com), через который будет осуществляться отправка электронной почты. Оставьте это поле пустым если для отправки почты используются стандартные настройки PHP (подходит для большинства виртуальных хостингов).';
$LANG['webmastermail'] = 'Email адрес';
$LANG['webmastermail_help'] = "Задайте адрес электронной почты Администратора сайта.";
$LANG['bigace_admin'] = 'Имя пользователя';
$LANG['bigace_password'] = 'Пароль';
$LANG['bigace_check'] = 'Повторите пароль';
$LANG['bigace_admin_help'] = 'Логин администратора, имеющего полный доступ к сайту и его настройкам.';
$LANG['bigace_password_help'] = 'Задайте пароль Администратора.';
$LANG['bigace_check_help'] = 'Пожалуйста проверьте введеные пароли. Если они не совпадут Вам придеться ввести их заново.';
$LANG['create_files'] = 'Создание файловой системы';
$LANG['save_cconfig'] = 'Сохранение параметров сайта';
$LANG['added_consumer'] = 'Добавлен сайт';
$LANG['added_consumer'] = 'Добавлен существующий сайт';
$LANG['community_exists'] = 'Сайт для указанного домена уже существует, пожалуйста укажите другой домен.';

$LANG['check_reload'] = 'Выполнить проверку заново';
$LANG['check_up'] = 'Проверка';
$LANG['check_up_help'] = 'ВНИМАНИЕ: Пожалуйста выполните проверку перед установкой BIGACE или добавлением нового сайта!';

$LANG['required_empty_dirs'] = 'Необходимые папки';
$LANG['empty_dirs_description'] = 'Не получается создать следующие папки, необходимые для установки BIGACE, пожалуйста создайте их вручную:';
$LANG['check_yes'] = 'Да';
$LANG['check_no'] = 'Нет';
$LANG['check_on'] = 'Вкл';
$LANG['check_off'] = 'Выкл';
$LANG['check_status'] = 'Статус';
$LANG['check_setting'] = 'Свойства';
$LANG['check_recommended'] = 'Рекомендуется';
$LANG['check_install_help'] = 'Если какое либо из системных требований отмечено красным, то необходимо внести изменения в настройки Apache и PHP. Если этого не сделать возможна некорректная установка системы.';
$LANG['required_settings_title']= 'Необходимые системные требования';
$LANG['check_settings_title'] = 'Рекомендуемые системные требования';
$LANG['check_settings_help'] = 'Следующие настройки PHP являются рекомендованными для качественной работы BIGACE. <br><br>Вместе с тем, система должна работать даже если некоторые значения не совпадают с рекомендуемыми. Однако мы рекомендуем все же установить рекомендованные значения перед продолжением установки.';
$LANG['check_files_title'] = 'Права доступа к файлам и папкам';
$LANG['check_files_help'] = 'Для корректной работы, BIGACE необходимы права записи в следующие папки и файлы. Если напротив имени папки или файла стоит красная точка, Вам необходимо исправить права доступа перед продолжением установки.';

$LANG['config_consumer'] = 'Настройки сайта';
$LANG['config_admin'] = 'Аккаунт Администратора';

$LANG['community_install_good'] = '
<p>Поздравляем! Установка системы завершена!</p>
<p>В любое время если Вам понадобится поддержка или возникнут вопросы по использованию BIGACE 
обращайтесь на <a href="http://forum.bigace.de" target="_blank">наш форум</a>.
<p>В системе присутствует папка с данными для установки (/install). Рекомендуется удалить её из соображений безопасности.</p>
<p>Сейчас Вы можете <a href="../../">посетить свой вновь созданный сайт</a>. Вам необходимо будет войти в систему прежде чем Вы сможете использовать панель администрирования.</p>
<br />
<p>Желаем удачи!</p>
<br /><br />
<p><a href="../../">Посетить свой вновь созданный сайт</a></p>';

$LANG['community_install_bad'] 	= 'Во время установки возникли проблемы.';
$LANG['community_install_infos']= 'Отображать системные сообщения...';

$LANG['error_db_connect'] = 'Невозможно подключиться к серверу базы данных';
$LANG['error_db_select'] = 'Невозможно сменить базу данных';
$LANG['error_db_create'] = 'Невозможно создать базу данных';
$LANG['error_read_dir'] = 'Невозможно прочитать папку';
$LANG['error_created_dir'] = 'Невозможно создать папку';
$LANG['error_removed_dir'] = 'Невозможно удалить папку';
$LANG['error_copied_file'] = 'Невозможно копировать файл';
$LANG['error_remove_file'] = 'Невозможно удалить файл';
$LANG['error_close_file'] = 'Невозможно закрыть файл';
$LANG['error_open_file'] = 'Ошибка: Невозможно открыть файл';
$LANG['error_db_statement'] = 'Ошибка в запросе к базе данных';
$LANG['error_open_cconfig'] = 'Невозможно открыть файл конфигурации сайта';
$LANG['error_double_cconfig'] = 'Ошибка: Такой сайт уже существует!';
$LANG['could_not_find_consumer'] = 'Ошибка: Нет такого сайта';
