<?php
/**
 * BIGACE - a PHP and MySQL based Web CMS.
 * Copyright (C) Kevin Papst.
 * 
 * BIGACE is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * BIGACE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * For further information visit {@link http://www.bigace.de http://www.bigace.de}.
 *
 * @package bigace.api
 * @subpackage util
 */

/**
 * An interface for validating  
 * implemented to check Principals and perform the Login comand. 
 *  
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @author Kevin Papst 
 * @copyright Copyright (C) Kevin Papst
 * @version $Id: Captcha.php,v 1.2 2008/07/14 23:18:43 kpapst Exp $
 * @package bigace.api
 * @subpackage util
 */
interface Captcha
{

    /**
     * This validates the Users Captcha test.
     * First parameter is the submitted code, second (if available) the image name to 
     * validate the code for.
     * 
     * @return boolean whether the code was correct or not
     */
    function validate($code, $image = null);
    
    /**
     * Returns the image url.
     * 
     * @return string the full image url
     */
    function get();

}

?>