<?php
/**
 * BIGACE - a PHP and MySQL based Web CMS.<br>Copyright (C) Kevin Papst.
 * 
 * BIGACE is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * BIGACE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * For further information visit {@link http://www.bigace.de http://www.bigace.de}.
 *
 * @package bigace.classes
 * @subpackage logger
 */

loadClass('logger', 'Logger');

/**
 * This Logger does nothing. It behaves like /dev/null/ ;-)
 * 
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @author Kevin Papst 
 * @copyright Copyright (C) 2002-2006 Kevin Papst
 * @version $Id: NullLogger.php,v 1.2 2006/11/26 22:03:57 kpapst Exp $
 * @package bigace.classes
 * @subpackage logger
 */
class NullLogger extends Logger
{

    function NullLogger($logDefinition = '') { }
    function log($mode, $msg) { }
    function logInfo($msg) { }
    function logDebug($msg) { }
    function logError($msg) { }
    function logSQL($msg) { }
    function isDebugEnabled() { return false; }
    function isModeEnabled($mode) { return false; }
    function logScriptError($errno, $errmsg, $filename, $linenum, $vars) { }
    function finalize() {
    }

}

?>