<?php
/**
 * BIGACE - a PHP and MySQL based Web CMS.
 * Copyright (C) Kevin Papst.
 * 
 * BIGACE is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * BIGACE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * For further information visit {@link http://www.bigace.de http://www.bigace.de}.
 *
 * @package bigace.classes
 * @subpackage sql
 */

import('classes.sql.SimpleMySQLConnection');

/**
 * Class used for connecting to a configurable MySQL Database.
 * 
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @author Kevin Papst 
 * @copyright Copyright (C) Kevin Papst
 * @version $Id: MySQLConnection.php,v 1.7 2008/12/30 21:28:45 kpapst Exp $
 * @package bigace.classes
 * @subpackage sql
 */
class MySQLConnection extends SimpleMySQLConnection 
{

	/**
	 * Connects to a MySQL DB using the given Connection Values.
	 * @param String the DB Host
	 * @param String the Database to select
	 * @param String the DB User 
	 * @param String the Users Password
     * @param boolean whether a new Connection should be established
	 */
	function MySQLConnection($host, $db, $user, $password, $newConnection = false) 
	{
	    $this->connect($host, $db, $user, $password, $newConnection);
	}
	
}

?>