<?php
/**
 * BIGACE - a PHP and MySQL based Web CMS.
 * Copyright (C) Kevin Papst.
 * 
 * BIGACE is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * BIGACE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * For further information visit {@link http://www.bigace.de http://www.bigace.de}.
 *
 * @package bigace.classes
 * @subpackage updates
 */
 
import('classes.updates.UpdateResult');

/**
 * A SeparatorResult represents a Info message within the Result.
 * Every Separator means a new Chapter in the Update Installation Process.
 * 
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @author Kevin Papst 
 * @copyright Copyright (C) Kevin Papst
 * @version $Id: SeparatorResult.php,v 1.2 2007/05/27 13:08:31 kpapst Exp $
 * @package bigace.classes
 * @subpackage updates
 */
class SeparatorResult extends UpdateResult
{
    function SeparatorResult($msg) {
        $this->UpdateResult(TRUE, $msg);
    }
    
    function isSeparator() {
        return TRUE;
    }
}

?>