<?php
/**
 * BIGACE - a PHP and MySQL based Web CMS.
 * Copyright (C) Kevin Papst.
 *
 * BIGACE is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * BIGACE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * For further information visit {@link http://www.bigace.de http://www.bigace.de}.
 *
 * @package bigace.classes
 * @subpackage util.html
 */

import('classes.util.html.HtmlElement');
import('classes.util.html.CData');

/**
 * This class defines a HTML Option Tag.
 *
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @author Kevin Papst 
 * @copyright Copyright (C) 2002-2006 Kevin Papst
 * @version $Id: Option.php,v 1.3 2007/11/11 20:55:01 kpapst Exp $
 * @package bigace.classes
 * @subpackage util.html
 */
class Option extends HtmlElement
{

    function Option($text = '', $value = '') {
        $this->setTagName('option');
        $this->setValue($value);
        $this->setText($text);
    }

    function setIsSelected() {
        $this->setTagAttribute('selected', 'selected');
    }

    function setValue($value) {
        $this->setTagAttribute('value', $value);
    }

    function setText($text) {
        $this->addChildElement( new CData($text) );
    }
}

?>